Do a wallet transfer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
Body Params
number
≥ 1e-9

Amount to transfer. Amounts are in major currency unit

string
enum

Only provide if onlyCheck=true. If TO is passed then source wallet permissions are ignored when the check is done

Allowed:
string
required
length between 0 and 200

Description for the statement/s

string
length between 5 and 200

External identifier for the transfer which can be used for reconcilliation. Need not be unique

string
required
length between 6 and 200

Unique identifier for the transfer (idempotency key). Duplicates are rejected to ensure double transactions are impossible

string

fromAccountNumber for wallet to debit

int64

The wallet to debit

boolean

Optional. If true then the transfer will ignore the wallets transfer limits and any positive minimum balance setting. Requires special permissions

string
length between 0 and 200

Optional. Any location information to add to the transfer such as GPS coordinates

boolean

Optional. If true then the transfer wont actually be done but only validated to see if it could have been done

string
enum

Optional: Indicates to Eclipse whether to reply to the caller after the transfer has actually happened on both wallets. WHEN_GUARANTEED: Eclipse should reply when the result is guaranteed to happen and will eventually happen, WHEN_COMPLETE: Eclipse should only reply when the source and destination are fully consistent. In all normal situations and by default, WHEN_GUARANTEED should be used. For most wallet transfers between wallets in the same store of value, WHEN_GUARANTEED and WHEN_COMPLETE are identical. WHEN_COMPLETE is only useful when transferring from a digital wallet within Eclipse to a store of value like a card wallet which sits outside of Eclipse. The semantics of these transactions is that the source is debited and the destination is credited in a separate transaction that is retried until success. If the destination wallet is not complete within 5 seconds then Eclipse will reply as if WHEN_GUARANTEED was passed in In order to prevent timeouts on the client.

Allowed:
string
length ≤ 200

Optional: Used for 2-step reserve/transfer transactions. The sessionId of a reservation in order to make this transfer first remove the reservation and then do the transfer atomically

string

toAccountNumber for wallet to credit

string

toPan for wallet to credit

string

toWalletFriendlyId for wallet to credit

int64

The wallet to credit

Responses
204

OK

400

Bad Request

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!